- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# VarValueString Class Reference

VarValueString Class. More...

`#include <OSResult.h>`

Collaboration diagram for VarValueString:

[legend]
List of all members.

## Public Member Functions
| VarValueString ()
| Default constructor.
| ~VarValueString ()
| Class destructor.
bool | IsEqual (VarValueString *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
int | idx
| idx is the index on variable in the solution
std::string | value

## Detailed Description

VarValueString Class.

Author:
  Robert Fourer, Horand Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 03/14/2004

Since:
  OS 1.0

Remarks:
  A class that is used to provide the value and index associated with the string-valued variables in the solution.

Definition at line 936 of file OSResult.h.

## Constructor & Destructor Documentation

VarValueString::VarValueString | ( |  | ) |

Default constructor.

Definition at line 429 of file OSResult.cpp.

VarValueString::~VarValueString | ( |  | ) |

Class destructor.

Definition at line 439 of file OSResult.cpp.

## Member Function Documentation

bool VarValueString::IsEqual | ( | VarValueString * | that | ) |

A function to check for the equality of two objects.

Definition at line 6325 of file OSResult.cpp.

bool VarValueString::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 7871 of file OSResult.cpp.

Referenced by VariableValuesString::setRandom().

## Member Data Documentation

int VarValueString::idx

idx is the index on variable in the solution

Definition at line 940 of file OSResult.h.

std::string VarValueString::value

Definition at line 945 of file OSResult.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSResult.cpp